import { AfterViewInit, OnInit } from '@angular/core';
import { CdkDragEnd } from '@angular/cdk/drag-drop';
import { mainTypes } from 'ngx-puzzle/core/types';
import { ChartTypesEnum, TextTypesEnum, TableTypesEnum, ControlTypesEnum } from 'ngx-puzzle/core/enums';
import * as i0 from "@angular/core";
export declare class NgxPuzzlePanelComponent implements OnInit, AfterViewInit {
    private canvasElement;
    private canvasContainer;
    private mediator;
    chartList: import("ngx-puzzle/core").BaseSelectOption<ChartTypesEnum>[];
    tableList: import("ngx-puzzle/core").BaseSelectOption<TableTypesEnum>[];
    textList: import("ngx-puzzle/core").BaseSelectOption<TextTypesEnum>[];
    controlList: import("ngx-puzzle/core").BaseSelectOption<ControlTypesEnum>[];
    ngOnInit(): void;
    ngAfterViewInit(): void;
    onDragEnded(event: CdkDragEnd, type: mainTypes, subType: ChartTypesEnum | TableTypesEnum | TextTypesEnum | ControlTypesEnum): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgxPuzzlePanelComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NgxPuzzlePanelComponent, "ngx-puzzle-panel, puzzle-panel", never, {}, {}, never, never, true, never>;
}
